<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Transition</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}

	img {
		max-width: 100%
	}

	a {
		text-decoration: none;
	}

	p {
		padding: 0;
		margin: 0;
	}

	html {
		box-sizing: border-box;
	}

	*, *:before, *:after {
		box-sizing: inherit;
	}

	.example-square-div {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 75px;
		height: 75px;
		padding: 0;
		border-radius: 3px;
		background: #e6e6e6;
		line-height: 1.2;
		text-align: center;
		color: #4d4d4d;
	}

	.g-content {
		max-width: 1200px;
		width: 100%;
		margin: 0 auto;
	}

	.example {
		width: 550px;
		padding: 10px;
		border: 1px solid #000;
		box-sizing: border-box;
	}

	.example_1:hover .example-square-div,
	.example_2:hover .example-square-div,
	.example_3:hover .example-square-div,
	.example_4:hover .example-square-div {
		transform: translateX(200px) scale(1.3333);
		background: hsl(348, 100%, 61%);
		color: #fff;
	}

	.example_1 .example-square-div {
		transition: 200ms;
	}

	.example_2 .example-square-div {
		transition: 200ms;
	}

	.example_3 .example-square-div {
		transition: 200ms;
	}

	.example_4 .example-square-div {
		transition: 200ms;
	}

	.example_1:hover .example-square-div {
		transition: 1s;
	}

	.example_2:hover .example-square-div {
		transition: 1s linear;
	}

	.example_3:hover .example-square-div {
		transition: transform 1s linear;
	}

	.example_4:hover .example-square-div {
		transition: transform 1s linear 500ms;
	}

</style>
<body>
<!--Пример transition: ...-->
<div class="g-content">
	<h4>
		<code>
			transition: 1s;
		</code>
	</h4>
	<h5>
		<code>
			transition-duration Задаем значение 1s <br>
			transition-property Значение по умолчанию - all <br>
			transition-timing-function Значение по умолчанию - ease <br>
			transition-delay Значение по умолчанию - 0s <br>
		</code>
	</h5>
	<div class="example example_1">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition: 1s linear;
		</code>
	</h4>
	<h5>
		<code>
			transition-property Значение по умолчанию - all <br>
			transition-duration Задаем значение 1s <br>
			transition-timing-function Задаем значение - linear <br>
			transition-delay Значение по умолчанию - 0s <br>
		</code>
	</h5>
	<div class="example example_2">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition: transform 1s linear;
		</code>
	</h4>
	<h5>
		<code>
			transition-property Задаем значение - transform <br>
			transition-duration Задаем значение 1s <br>
			transition-timing-function Задаем значение - linear <br>
			transition-delay Значение по умолчанию - 0s <br>
		</code>
	</h5>
	<div class="example example_3">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition: transform 1s linear 500ms;
		</code>
	</h4>
	<h5>
		<code>
			transition-property Задаем значение - transform <br>
			transition-duration Задаем значение 1s <br>
			transition-timing-function Задаем значение - linear <br>
			transition-delay Задаем значение - 500ms <br>
		</code>
	</h5>
	<div class="example example_4">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
</div>
</body>
</html>